PropertyCellEditor

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.properties.client
Class PropertyCellEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          org.openswing.swing.properties.client.PropertyCellEditor

All Implemented Interfaces:
  javax.swing.CellEditor, java.io.Serializable, javax.swing.table.TableCellEditor

public class PropertyCellEditor
extends javax.swing.AbstractCellEditor
implements javax.swing.table.TableCellEditor

Title: OpenSwing Framework

Description: Cell editor used by the PropertyGridControl.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`PropertyCellEditor()`

Method Summary
`java.lang.Object` | `getCellEditorValue()` Returns the value contained in the editor.
`java.awt.Component` | `getTableCellEditorComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, int row, int column)` Sets an initial `value` for the editor.

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, cancelCellEditing, getCellEditorListeners, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Constructor Detail

### PropertyCellEditor

    public PropertyCellEditor()

Method Detail

### getCellEditorValue

    public final java.lang.Object getCellEditorValue()

  Returns the value contained in the editor.

  Specified by:
    `getCellEditorValue` in interface `javax.swing.CellEditor`
  Returns:
    the value contained in the editor

### getTableCellEditorComponent

    public final java.awt.Component getTableCellEditorComponent(javax.swing.JTable table,
                                                                java.lang.Object value,
                                                                boolean isSelected,
                                                                int row,
                                                                int column)

  Sets an initial `value` for the editor. This will cause the editor to `stopEditing` and lose any partially edited value if the editor is editing when this method is called.

  Returns the component that should be added to the client's `Component` hierarchy. Once installed in the client's hierarchy this component will then be able to draw and receive user input.

  Specified by:
    `getTableCellEditorComponent` in interface `javax.swing.table.TableCellEditor`
  Parameters:
    `table` - the `JTable` that is asking the editor to edit; can be `null`
    `value` - the value of the cell to be edited; it is up to the specific editor to interpret and draw the value. For example, if value is the string "true", it could be rendered as a string or it could be rendered as a check box that is checked. `null` is a valid value
    `isSelected` - true if the cell is to be rendered with highlighting
    `row` - the row of the cell being edited
    `column` - the column of the cell being edited
  Returns:
    the component for editing

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD